<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

defined('_JEXEC') or die('Restricted access');
?>
<script type="text/javascript">
    /**
    * Submit the admin form
    */
    function submitform(pressbutton){
            if (pressbutton) {
                    document.adminForm.task.value=pressbutton;
            }
            if (typeof document.adminForm.onsubmit == "function") {
                    document.adminForm.onsubmit();
            }
            document.adminForm.submit();
    }

    function crbc_submitbutton(pressbutton)
    {
        switch (pressbutton) {
            case 'plugin_cancel':
                submitform(pressbutton);
                break;
            case 'plugin_apply':
            case 'plugin_save':
            case 'plugin_remove':
                var error = false;

                if(document.getElementById('key').value == ''){
                    error = true;
                    alert("<?php echo addslashes(JText::_('COM_BREEZINGCOMMERCE_ALERT_ERROR_DISTANCE_NAME'))?>");
                }

                if(isNaN(document.getElementById('rate').value)){
                    error = true;
                    alert("<?php echo addslashes(JText::_('COM_BREEZINGCOMMERCE_ALERT_ERROR_DISTANCE_VALID'))?>");
                }

                if(!error)
                {
                    submitform(pressbutton);
                }

                break;
        }
    }

    // Joomla 1.6 compat
    if(typeof Joomla != 'undefined'){
        Joomla.submitbutton = crbc_submitbutton;
    }
    // Joomla 1.5 compat
    submitbutton = crbc_submitbutton;
</script>

<div class="form-horizontal">

    <?php
    // translations
    if(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','') != ''){

        $pane2 = new CrBcPane();
        echo $pane2->initPane(
            array(
                'translation-name-pane' => htmlentities(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language_title',''), ENT_QUOTES, 'UTF-8' ),
                'original-name-pane' => JText::_( 'COM_BREEZINGCOMMERCE_DEFAULT_LANGUAGE' )
            )
        );

        echo $pane2->startPane();
        echo $pane2->startPanel( 'translation-name-pane' );
    ?>

    <div class="control-group">
        <div class="control-label">
            <label for="key_translation" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_PLUGIN_DISTANCE_NAME_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_PLUGIN_DISTANCE_NAME' ); ?></label>
        </div>
        <div class="controls">
            <input type="text" name="key_translation" id="key_translation" maxlength="255" value="<?php echo htmlentities( $this->entity->key_translation, ENT_QUOTES, 'UTF-8');?>" />
        </div>
    </div>

    <?php
        echo $pane2->endPanel();
        echo $pane2->startPanel( 'original-name-pane' );
    }
    // default (all) case
    ?>

    <div class="control-group">
        <div class="control-label">
            <label for="key" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_PLUGIN_DISTANCE_NAME_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_PLUGIN_DISTANCE_NAME' ); ?></label>
        </div>
        <div class="controls">
            <input type="text" name="key" id="key" maxlength="255" value="<?php echo htmlentities( $this->entity->key, ENT_QUOTES, 'UTF-8');?>" />
        </div>
    </div>

    <?php
    if(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','')){
        echo $pane2->endPanel();
        echo $pane2->endPane();
    }
    // translations end
    ?>

    <div class="control-group">
        <div class="control-label">
            <label for="producttaxclass_id" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_PLUGIN_DISTANCE_TAX_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_PLUGIN_DISTANCE_TAX' ); ?></label>
        </div>
        <div class="controls">
            <select class="chzn-done" name="producttaxclass_id" id="producttaxclass_id">
                <option value="0"><?php echo JText::_('none');?></option>
                <?php
                foreach($this->taxclasses As $taxclass){
                ?>
                <option value="<?php echo $taxclass->id;?>"<?php echo $this->entity->producttaxclass_id == $taxclass->id ? ' selected="selected"' : '';?>><?php echo $taxclass->name;?></option>
                <?php
                }
                ?>
            </select>
        </div>
    </div>

    <div class="control-group">
        <div class="control-label">
            <label for="rate" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_PLUGIN_DISTANCE_RATE_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_PLUGIN_DISTANCE_RATE' ); ?></label>
        </div>
        <div class="controls">
            <input type="text" name="rate" id="rate" maxlength="255" value="<?php echo htmlentities( $this->entity->rate, ENT_QUOTES, 'UTF-8');?>" />
        </div>
    </div>

    <div class="control-group">
        <div class="control-label">
            <label for="km_miles" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_DISTANCE_KM_MILES_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_DISTANCE_KM_MILES' ); ?></label>
        </div>
        <div class="controls">

            <label><input type="radio" name="km_miles" id="km_miles_km" value="km" <?php echo $this->entity->km_miles == 'km' ? 'checked="checked"' : '';?>" /> <?php echo JText::_( 'COM_BREEZINGCOMMERCE_DISTANCE_KM' ); ?></label>
            <label><input type="radio" name="km_miles" id="km_miles_miles" value="miles" <?php echo $this->entity->km_miles == 'miles' ? 'checked="checked"' : '';?>" /> <?php echo JText::_( 'COM_BREEZINGCOMMERCE_DISTANCE_MILES' ); ?></label>

        </div>
    </div>

    <div class="control-group">
        <div class="control-label">
            <label for="from_distance" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_FROM_DISTANCE_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_FROM_DISTANCE' ); ?></label>
        </div>
        <div class="controls">
            <input type="text" name="from_distance" id="from_distance" maxlength="255" value="<?php echo htmlentities( $this->entity->from_distance, ENT_QUOTES, 'UTF-8');?>" />
        </div>
    </div>
    
    <div class="control-group">
        <div class="control-label">
            <label for="to_distance" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_TO_DISTANCE_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_TO_DISTANCE' ); ?></label>
        </div>
        <div class="controls">
            <input type="text" name="to_distance" id="to_distance" maxlength="255" value="<?php echo htmlentities( $this->entity->to_distance, ENT_QUOTES, 'UTF-8');?>" />
        </div>
    </div>

</div>

<input type="hidden" name="identity" value="<?php echo $this->entity->identity;?>"/>
<input type="hidden" name="ordering" value="<?php echo $this->entity->ordering;?>"/>
<input type="hidden" name="published" value="<?php echo $this->entity->published;?>"/>
