<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

defined('_JEXEC') or die('Restricted access');

class CrBcInstallation extends CrBcInstaller {

    public $type = 'shipping';
    public $name = 'distance';

    function install(){
        
        $tables = JFactory::getDBO()->getTableList();
            
        settype($tables, 'array');

        foreach ($tables as $table){
            
            if( $table == JFactory::getDBO()->getPrefix() . 'breezingcommerce_plugin_distance' ){
                
                return;
            }
        }
        
        $db = JFactory::getDBO();
        $db->setQuery("
        CREATE TABLE IF NOT EXISTS `#__breezingcommerce_plugin_distance` (
          `identity` int(11) NOT NULL,
          `key` varchar(255) NOT NULL DEFAULT '',
          `rate` decimal(64,4) NOT NULL DEFAULT '0.0000',
          `from_distance` decimal(64,4) NOT NULL DEFAULT '0.0000',
          `to_distance` decimal(64,4) NOT NULL DEFAULT '0.0000',
          `producttaxclass_id` int(11) NOT NULL DEFAULT '0',
          `ordering` int(11) NOT NULL DEFAULT '0',
          `published` tinyint(1) NOT NULL DEFAULT '0'
        )
        ");
        $db->execute();
        
        $db->setQuery("INSERT INTO `#__breezingcommerce_plugin_distance` (`identity`, `key`, `rate`, `from_distance`, `to_distance`, `producttaxclass_id`, `ordering`, `published`) VALUES
        (1, 'Distance Shipping', '20.0000', '1000.0000', '0.0000', 6, 2, 1),
        (2, 'Nearby Shipping', '10.0000', '0.0000', '1000.0000', 6, 1, 1)
        ");
        $db->execute();
        
        $db->setQuery("ALTER TABLE `#__breezingcommerce_plugin_distance`
        ADD PRIMARY KEY (`identity`),
        ADD KEY `published` (`published`),
        ADD KEY `key` (`key`),
        ADD KEY `producttaxclass_id` (`producttaxclass_id`),
        ADD KEY `ordering` (`ordering`)");
        $db->execute();
        
        $db->setQuery("ALTER TABLE `#__breezingcommerce_plugin_distance`
        MODIFY `identity` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=1");
        $db->execute();

        $db->setQuery("ALTER TABLE `#__breezingcommerce_plugin_distance`
         ADD `km_miles` VARCHAR(5) NOT NULL DEFAULT 'km' AFTER `rate`");
        $db->execute();
    }

}